getclose(8)

NAME
getclose - Find PRs fixed in a particular release

SYNOPSIS
getclose [OPTIONS] MIGRATION FREEZE LASTFREEZE

DESCRIPTION
getclose uses the three dates specified on the commandline to find and label PRs fixed in a particular release.

MIGRATION -- the date of the migration for the current release

FREEZE -- the date of the freeze for the current release

LASTFREEZE -- the date of the freeze for the previous release

RESULTS
FIXED:foo:1234:the synopsis
MAYBE:bar:1235:the synopsis

Those marked FIXED were closed before the migration into the current release. Those marked as MAYBE were closed after the migration, but before the freeze; thus, the fix may or may not have made it into the current release. These need to be researched to find out if the changes, if any, were included.

OPTIONS

-h, --help
    Prints a brief usage message for getclose.

-V, --version
    Prints the version number for getclose.

-d DATABASE, --database=DATABASE
    Specifies the database containing the PR to be edited; if no database is specified, the database named default is assumed. This option overrides the database specified in the GNATSDB environment variable.

  GNATS network options:

-H HOSTNAME, --host=HOSTNAME
    Hostname of the GNATS server.

-P PORT, --port=PORT
    The port that the GNATS server runs on.

-v USERNAME, --username=USERNAME
    Username used to log into the GNATS server.

-w PASSWORD, --passwd=PASSWORD
    Password used to log into the GNATS server.

ENVIRONMENT VARIABLES
The GNATSDB environment variable is used to determine which database to use. For a local database, it contains the name of the database to access.

For network access via gnatsd, it contains a colon-separated list of strings that describe the remote database, in the form

server:port:databasename:username:password

Any of the fields may be omitted, but at least one colon must appear; otherwise, the value is assumed to be the name of a local database.

If GNATSDB is not set, it is assumed that the database is local and that its name is default.

SEE ALSO
Keeping Track: Managing Messages With GNATS (also installed as the GNU Info file gnats.info)

databases(5), dbconfig(5), delete-pr(8), edit-pr(1) file-pr(8), gen-index(8), gnats(7), gnatsd(8), mkcat(8), mkdb(8), pr-edit(8), query-pr(1), queue-pr(8), send-pr(1).

COPYING
Copyright (c) 2004 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.